// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      return web;
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        return macos;
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions web = FirebaseOptions(
    apiKey: 'AIzaSyDK6_KqkTU8Oh1tmdfg3WP34H4R1GOS5ZY',
    appId: '1:592835772887:web:a28d0a9ed99e579446cb92',
    messagingSenderId: '592835772887',
    projectId: 'todoapp-b04cf',
    authDomain: 'todoapp-b04cf.firebaseapp.com',
    storageBucket: 'todoapp-b04cf.appspot.com',
    measurementId: 'G-PP9DWBSM2F',
  );

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCVZD1uPHzIuX1jLpi0xvfgfrpy0zbjjZg',
    appId: '1:592835772887:android:4a1c26f57c248bfe46cb92',
    messagingSenderId: '592835772887',
    projectId: 'todoapp-b04cf',
    storageBucket: 'todoapp-b04cf.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyDnF6L4Zm6ExjrypdJGCQ4nHUpSfW-vg3k',
    appId: '1:592835772887:ios:5998f2e8df46f3a646cb92',
    messagingSenderId: '592835772887',
    projectId: 'todoapp-b04cf',
    storageBucket: 'todoapp-b04cf.appspot.com',
    androidClientId: '592835772887-cmfoeg97a0bhk73n0ion3kdr31ufammk.apps.googleusercontent.com',
    iosClientId: '592835772887-am0uel3rgpgrrolunssubjnb14jb1at6.apps.googleusercontent.com',
    iosBundleId: 'com.example.todoapp',
  );

  static const FirebaseOptions macos = FirebaseOptions(
    apiKey: 'AIzaSyDnF6L4Zm6ExjrypdJGCQ4nHUpSfW-vg3k',
    appId: '1:592835772887:ios:5998f2e8df46f3a646cb92',
    messagingSenderId: '592835772887',
    projectId: 'todoapp-b04cf',
    storageBucket: 'todoapp-b04cf.appspot.com',
    androidClientId: '592835772887-cmfoeg97a0bhk73n0ion3kdr31ufammk.apps.googleusercontent.com',
    iosClientId: '592835772887-am0uel3rgpgrrolunssubjnb14jb1at6.apps.googleusercontent.com',
    iosBundleId: 'com.example.todoapp',
  );
}
